Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Class SoftReferenceCache

    java.lang.Object
      org.biojava.utils.cache.SoftReferenceCache

All Implemented Interfaces:
  Cache

    public class SoftReferenceCache

extends Object
implements Cache

Cache which is cleared according to memory pressure. This is simply a wrapper around java.lang.ref.SoftReference, and the performance will depend on the behaviour of SoftReference on your platform.

Since:
  1.1
Author:
  Thomas Down

Constructor Summary
`SoftReferenceCache()`

Method Summary
`CacheReference` | `makeReference(Object o)` Construct a temporary reference to an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftReferenceCache

    public SoftReferenceCache()

Method Detail

### makeReference

    public CacheReference makeReference(Object o)

  Description copied from interface: `Cache`
  Construct a temporary reference to an object. The reference persists until it becomes dereferenced itself, it is explicitly cleared by the user, or the cache determines that it is a candidate for disposal.

  Specified by:
    `makeReference` in interface `Cache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD